> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/new-dsgatewayrulesetaccessrule.md).

# New-DSGatewayRulesetAccessRule

New-DSGatewayRulesetAccessRule crea una regola di accesso per un set di regole del gateway di Devolutions Server che consente o nega l'accesso in base a IP, subnet, intervallo o valore DNS.

### Sinossi

Crea una regola di accesso del set di regole del gateway.

### Sintassi

#### \_\_AllParameterSets

```
New-DSGatewayRulesetAccessRule [-Access] <GatewayAccessRule> [-Type] <NetworkAccessRuleType>
 [-Value] <string> [<CommonParameters>]
```

### Descrizione

Crea una regola di accesso del set di regole del gateway. A seconda del tipo specificato, viene applicata un'espressione regolare corrispondente per convalidare il valore immesso. Usi l'oggetto risultante con [New-DSGatewayRuleset](/powershell/it/powershell-commands/new-dsgatewayruleset.md) o [Update-DSGatewayRuleset](/powershell/it/powershell-commands/update-dsgatewayruleset.md).

Questo cmdlet si chiamava in precedenza New-DSVirtualGatewayAccessRule. Tale nome è ancora disponibile come alias.

### Esempi

#### Esempio 1

```powershell
PS C:\> $rules = @(
    New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
    New-DSGatewayRulesetAccessRule -Access Deny -Type DNS 'a.com'
  )
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayA' | Select-Object -ExpandProperty ID
PS C:\> New-DSGatewayRuleset -LinkedGatewayID $gatewayId -Name 'My gateway ruleset' -Description 'A little description' -Rule $rules
```

Crea un set di regole del gateway che nega l'accesso da un indirizzo IP specifico e dal dominio 'a.com'.

#### Esempio 2

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Sostituisce tutte le regole di accesso esistenti del set di regole del gateway con una che nega l'indirizzo IP '1.2.3.4'.

### Parametri

#### -Access

L'effetto della regola.

```yaml
Type: Devolutions.PowerShell.Enums.GatewayAccessRule
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Type

Il tipo della regola.

```yaml
Type: Devolutions.RemoteDesktopManager.NetworkAccessRuleType
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Value

Il valore della regola in base al tipo.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

#### Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule

Regola di accesso del set di regole del gateway da usare in (New, Update)-DSGatewayRuleset.

### Note

Per maggiori informazioni, digiti "Get-Help New-DSGatewayRulesetAccessRule -detailed". Per informazioni tecniche, digiti "Get-Help New-DSGatewayRulesetAccessRule -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/new-dsgatewayrulesetaccessrule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
